Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface MarkerFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface MarkerFeature
extends Feature

Represents a marker feature in the EnsEMBL database. A marker feature is the location where a marker has been mapped to the genome by ePCR.

Author:
  Craig Melsopp
See Also:
  `Marker`

Method Summary
`java.lang.String` | `getDisplayName()` This method returns a string that is considered to be the 'display' identifier.
`int` | `getMapWeight()` The number of times that this marker has been mapped to the genome.
`Marker` | `getMarker()`
`void` | `setDisplayName(java.lang.String displayID)`
`void` | `setMapWeight(int mapWeight)` The number of times that this marker has been mapped to the genome.
`void` | `setMarker(Marker marker)`

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, setAnalysis, setAnalysisID, setDescription`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getMarker

    public Marker getMarker()

### setMarker

    public void setMarker(Marker marker)

### getMapWeight

    public int getMapWeight()

  The number of times that this marker has been mapped to the genome. E.g. a marker iwth map weight 3 has been mapped to 3 locations in the genome.

  Returns:
    number of times that this marker has been mapped to the genome.

### setMapWeight

    public void setMapWeight(int mapWeight)

  The number of times that this marker has been mapped to the genome. E.g. a marker iwth map weight 3 has been mapped to 3 locations in the genome.

  Parameters:
    `mapWeight` - number of times that this marker has been mapped to the genome.

### getDisplayName

    public java.lang.String getDisplayName()

  This method returns a string that is considered to be the 'display' identifier. For marker features this is the name of the display synonym or '' if it is not defined.

  Specified by:
    `getDisplayName` in interface `Feature`
  Returns:
    displayID for this marker

### setDisplayName

    public void setDisplayName(java.lang.String displayID)

  Specified by:
    `setDisplayName` in interface `Feature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD